[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

r986 - in glibc-package/trunk/debian: . patches



Author: gotom
Date: 2005-08-03 20:22:55 +0000 (Wed, 03 Aug 2005)
New Revision: 986

Added:
   glibc-package/trunk/debian/patches/glibc235-gcc34-m68k-seccomment.dpatch
Modified:
   glibc-package/trunk/debian/changelog
   glibc-package/trunk/debian/patches/00list
Log:
      - debian/patches/glibc235-gcc34-m68k-seccomment.dpatch: New file, fix
        m68k binutils comment parse error.



Modified: glibc-package/trunk/debian/changelog
===================================================================
--- glibc-package/trunk/debian/changelog	2005-08-03 20:17:01 UTC (rev 985)
+++ glibc-package/trunk/debian/changelog	2005-08-03 20:22:55 UTC (rev 986)
@@ -29,6 +29,8 @@
     * To make glibc-2.3.5 buildable with gcc-3.4:
       - debian/sysdeps/m68k.mk: New file, to use gcc-3.4 as CC and BUILD_CC
         due to gcc-4.0 ICE.  See #319312.
+      - debian/patches/glibc235-gcc34-m68k-seccomment.dpatch: New file, fix
+        m68k binutils comment parse error.
 
     * Introduce RUN_TESTSUITE for disabling make check, taken from Jeff
       Bailey <jbailey@ubuntu.com>:

Modified: glibc-package/trunk/debian/patches/00list
===================================================================
--- glibc-package/trunk/debian/patches/00list	2005-08-03 20:17:01 UTC (rev 985)
+++ glibc-package/trunk/debian/patches/00list	2005-08-03 20:22:55 UTC (rev 986)
@@ -79,3 +79,4 @@
 glibc235-gcc4-s390-inline
 glibc235-gcc4-alpha-profile
 glibc235-execvp-fix
+glibc235-gcc34-m68k-seccomment

Added: glibc-package/trunk/debian/patches/glibc235-gcc34-m68k-seccomment.dpatch
===================================================================
--- glibc-package/trunk/debian/patches/glibc235-gcc34-m68k-seccomment.dpatch	2005-08-03 20:17:01 UTC (rev 985)
+++ glibc-package/trunk/debian/patches/glibc235-gcc34-m68k-seccomment.dpatch	2005-08-03 20:22:55 UTC (rev 986)
@@ -0,0 +1,48 @@
+#! /bin/sh -e
+
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Description: Make glibc-2.3.5 compile with gcc-3.4/4.0 + binutils 2.16
+#		   on m68k fixed by adding #APP.
+# DP: Related bugs: 
+# DP: Dpatch author: GOTO Masanori <gotom@debian.org>
+# DP: Patch author: Andreas Schwab <schwab@suse.de>
+# DP: Upstream status: Pending
+# DP: Status Details: 
+# DP: Date: 2005-08-03
+
+PATCHLEVEL=0
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p$PATCHLEVEL < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p$PATCHLEVEL < $0;;
+    *)
+	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+	exit 1
+esac
+exit 0
+
+# append the patch here and adjust the -p? flag in the patch calls.
+From: Andreas Schwab <schwab@suse.de>
+
+--- include/libc-symbols.h.gotom	2005-08-03 14:23:50.211418118 +0900
++++ include/libc-symbols.h	2005-08-03 14:31:44.416870472 +0900
+@@ -234,12 +234,12 @@
+ #   define __make_section_unallocated(section_string)
+ #  endif
+ 
+-/* Tacking on "\n\t#" to the section name makes gcc put it's bogus
++/* Tacking on "\n#APP\n\t#" to the section name makes gcc put it's bogus
+    section attributes on what looks like a comment to the assembler.  */
+ #  ifdef HAVE_SECTION_QUOTES
+-#   define __sec_comment "\"\n\t#\""
++#   define __sec_comment "\"\n#APP\n\t#\""
+ #  else
+-#   define __sec_comment "\n\t#"
++#   define __sec_comment "\n#APP\n\t#"
+ #  endif
+ #  define link_warning(symbol, msg) \
+   __make_section_unallocated (".gnu.warning." #symbol) \



Reply to: